Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Interface JDBCType

All Known Implementing Classes:
  JDBCTypeComplex, JDBCTypeSimple

public interface JDBCType

This interface represents a mapping between a Java type and JDBC type. The properties all return arrays, because this type system supports the mapping of java classes to multiple columns.

Version:
  $Revision: 1.9 $
Author:
  Dain Sundstrom, Alex Loubyansky

Method Summary
`boolean[]` | `getAutoIncrement()`
`String[]` | `getColumnNames()`
`Object` | `getColumnValue(int index, Object value)`
`Class[]` | `getJavaTypes()`
`int[]` | `getJDBCTypes()`
`boolean[]` | `getNotNull()`
`JDBCParameterSetter[]` | `getParameterSetter()`
`JDBCResultSetReader[]` | `getResultSetReaders()`
`String[]` | `getSQLTypes()`
`Object` | `setColumnValue(int index, Object value, Object columnValue)`

Method Detail

### getColumnNames

    public String[] getColumnNames()

### getJavaTypes

    public Class[] getJavaTypes()

### getJDBCTypes

    public int[] getJDBCTypes()

### getSQLTypes

    public String[] getSQLTypes()

### getNotNull

    public boolean[] getNotNull()

### getAutoIncrement

    public boolean[] getAutoIncrement()

### getResultSetReaders

    public JDBCResultSetReader[] getResultSetReaders()

### getParameterSetter

    public JDBCParameterSetter[] getParameterSetter()

### getColumnValue

    public Object getColumnValue(int index,
                                 Object value)

### setColumnValue

    public Object setColumnValue(int index,
                                 Object value,
                                 Object columnValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.